package com.javaseleniumtemplate.pages.naocontrolaalmoxarifado;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;

public class RecalculoDeEstoqueNaoControlaAlmoxarifadoPage extends PageBase {

    /// Loading Page
    By loadingWait = By.xpath("//*[@class='zh-loading-desc ng-binding']");
    By campoProcurarFloatControl = By.xpath("//*[@id='popup']//*[@placeholder='Procurar']");
    By lupa = By. xpath("//span[@zh-icon='search no-border icon-white']");//Nessa tela precisei colocar um clique antes e cada float-control


    //Recalculo de Estoque

    //Unidade
    By btnLimparUnidade = By.xpath("//*[@data-zh-id='19884086213681016602745']//*[@zh-icon='no-border close-x']");
    By btnIconProcurarUnidade = By.xpath("//div[@data-zh-id='19884086213681016602745']//*[@class='zh-icon zh-icon-search zh-icon-no-border'] ");
    By unidadeSelecionada = By.xpath("//span[text()='HELA Nao Controla Almoxarifado']");



    //Produto Inicial
    By btnProdutoInicial = By.xpath("//div[@id='NMPRODINI']//*[@class='zh-icon zh-icon-search zh-icon-no-border']");
    By produtoInicial = By. xpath("//span[text()='Hela Poultry Broth Paste Clear']");

    //Produto Final
    By btnPrdutoFinal = By.xpath("//div[@id='NMPRODFIN']//*[@class='zh-icon zh-icon-search zh-icon-no-border']");
    By produtoFinal = By.xpath("//span[text()='Hela Crema Di Balsamico Lemon 380Ml']");

    //Data
    By iconeData = By . xpath("//*[@class='zh-icon zh-icon-calendar zh-icon-no-border']");
    By data = By.xpath("//div[@class='day today']");


    //Recalcular
    By recalcular = By. xpath("//span[text()='Recalcular']");


    //Confirmar
    By caixaDeMensagem = By. xpath("//span[text()='OK']");

   public void realizarRecalculoDeEstoque(String campoUnidade, String campoProdutoInicial, String campoProdutoFinal){

    //unidade
      waitForInvisibilityOfElementLocated(loadingWait);
      waitForVisibilityOfElementLocated(btnLimparUnidade);
      click(btnLimparUnidade);
      waitForVisibilityOfElementLocated(btnIconProcurarUnidade);
      click(btnIconProcurarUnidade);
     waitForInvisibilityOfElementLocated(loadingWait);

    //Start Float control
       waitForVisibilityOfElementLocated(lupa);
       click(lupa);//Nessa tela precisei colocar um clique para abrir a lupa

       waitForVisibilityOfElementLocated(campoProcurarFloatControl);
       sendKeys(campoProcurarFloatControl,campoUnidade);
       waitForInvisibilityOfElementLocated(loadingWait);
      waitForVisibilityOfElementLocated(unidadeSelecionada);
       click(unidadeSelecionada);
       waitForInvisibilityOfElementLocated(loadingWait);
       //End search float control



       //Produto inicial
       waitForVisibilityOfElementLocated(btnProdutoInicial);
       click(btnProdutoInicial);
       waitForInvisibilityOfElementLocated(loadingWait);

       //Start Float Control
      waitForVisibilityOfElementLocated(campoProcurarFloatControl);

       sendKeys(campoProcurarFloatControl,campoProdutoInicial);
       waitForInvisibilityOfElementLocated(loadingWait);
      waitForVisibilityOfElementLocated(produtoInicial);
      click(produtoInicial);
      waitForInvisibilityOfElementLocated(loadingWait);
       //End Float Control

       //Produto Final
       waitForVisibilityOfElementLocated(btnPrdutoFinal);
      click(btnPrdutoFinal);
       waitForInvisibilityOfElementLocated(loadingWait);

       //Start Float Control
       waitForVisibilityOfElementLocated(campoProcurarFloatControl);
      // click(campoProcurarFloatControl);
       sendKeys(campoProcurarFloatControl, campoProdutoFinal);
      waitForInvisibilityOfElementLocated(loadingWait);
      waitForVisibilityOfElementLocated(produtoFinal);
       click(produtoFinal);
      waitForInvisibilityOfElementLocated(loadingWait);
       //End Float Control

       //data
       waitForVisibilityOfElementLocated(iconeData);
      click(iconeData);
      waitForInvisibilityOfElementLocated(loadingWait);
      waitForVisibilityOfElementLocated(data);
      click(data);
       waitForInvisibilityOfElementLocated(loadingWait);

       //Recalcular
       waitForVisibilityOfElementLocated(recalcular);
      click(recalcular);
      waitForInvisibilityOfElementLocated(loadingWait);

       //Confirmar
      waitForVisibilityOfElementLocated(caixaDeMensagem);
      click(caixaDeMensagem);
      waitForInvisibilityOfElementLocated(loadingWait);


    }
}

